#!/system/bin/sh
MODDIR=${0%/*}
install_config="$MODDIR/Rely/config.conf"
shizuku_dir="$MODDIR/Rely/shizuku_starter"
function get_prop() {
  cat $install_config | grep -v '^#' | grep "^$1=" | cut -f2 -d '='
}

# set_value value path
function set_value() {
  if [[ -f $2 ]]; then
    chmod 644 $2 2>/dev/null
    echo $1 > $2
  fi
}

function wait_sys_boot_completed()
{
    while true
    do
        sleep 10
        boot_completed=$(getprop sys.boot_completed)
        if [[ "$boot_completed" == "1" ]];then
            return
        fi
    done
}
#wait_sys_boot_completed

if [ $(get_prop log) = "TRUE" ]; then
    rm -rf /data/vivono.log
    echo 等待运行 >> /data/vivono.log
fi
while [ "$(/system/bin/app_process -Djava.class.path=$MODDIR/Rely/isKeyguardLocked.dex /system/bin com.rosan.shell.ActiviteJava)" == "true" ];
do
sleep 1
done
$shizuku_dir
#/data/local/tmp/shizuku_starter
#dmode=$(get_prop mode)

MiuiHome=$(get_prop MiuiHome)
MIUISystemUIPlugin=$(get_prop MIUISystemUIPlugin)
MiuiSystemUI=$(get_prop MiuiSystemUI)
MIUIThemeManager=$(get_prop MIUIThemeManager)
Joyose=$(get_prop Joyose)
MIUIPersonalAssistantPhoneMIUI15=$(get_prop MIUIPersonalAssistantPhoneMIUI15)
OverLay=$(get_prop OverLay)

if [ "$MiuiHome" = "true" ]; then
#    pm install -r -d $MODDIR//base.apk
#    cp $MODDIR//system/product/priv-app/MiuiHome/MiuiHome.apk /data/local/tmp

    pm install -r -d $MODDIR//system/product/priv-app/MiuiHome/MiuiHome.apk

fi
    
if [ "$MIUISystemUIPlugin" = "true" ]; then
    pm install -r -d $MODDIR//system/product/app/MIUISystemUIPlugin.apk

fi
    
if [ "$MiWallpaper" = "true" ]; then
    pm install -r -d $MODDIR//system/product/app/WallpaperT.apk

fi

if [ "$OverLay" = "true" ]; then
    pm install -r -d $MODDIR//system/product/overlay/Monet-com.miui.home.apk

fi

# 小白条跟随应用移动
sleep 2 && cmd overlay fabricate --target android --name NavbarAttach android:bool/config_attachNavBarToAppDuringTransition 0x12 1
cmd overlay enable com.android.shell:NavbarAttach

# 防止主题恢复
chmod 731 /data/system/theme

# 锁屏常驻小白条
su -c device_config put systemui nav_bar_handle_show_over_lockscreen true default
