#模块配置
SKIPMOUNT=false
LATESTARTSERVICE=true
POSTFSDATA=true
PROPFILE=true
#打印的信息
Manufacturer=$(getprop ro.product.vendor.manufacturer)
Codename=$(getprop ro.product.device)
Model=$(getprop ro.product.vendor.model)
Build=$(getprop ro.build.version.incremental)
AndroidVersion=$(getprop ro.build.version.release)
CPU_ABI=$(getprop ro.product.cpu.abi)
HyperOS=$(getprop ro.miui.ui.version.code)
#操作路径
target_module="hyperos_plugin_and_launcher_pro"
modules=/data/adb/modules
modules_update=/data/adb/modules_update/
# 定义颜色代码
RED='\033[0;31m'
GREEN='\033[0;32m'
YELLOW='\033[0;33m'
NC='\033[0m' # 恢复默认颜色

# 在需要打印彩色字体的地方使用颜色代码
#echo -e "${RED}Error:${NC} Something went wrong."  # 输出红色字体
#echo -e "${GREEN}Success:${NC} Operation completed successfully."  # 输出绿色字体
#echo -e "${YELLOW}Warning:${NC} Please proceed with caution."  # 输出黄色字体

#打印信息，模块安装脚本自动调用
print_modname() {
    ui_print "=================================================="
    sleep 0.05
    ui_print "- 模块脚本作者: 酷安@吃饱饭饭好睡觉(Cooperate)"
    sleep 0.05
    ui_print "- 主题官改增强: 酷安@MonetCarlos(Author)"
    sleep 0.05
    ui_print "- 重建缓存脚本: 酷安@诺蓝(Cooperate)"
    sleep 0.05
    ui_print "- 官改系统合作: 酷安@Ming_Official(Cooperate)"
    sleep 0.05
    ui_print "=================================================="
    sleep 0.05
    ui_print "- 系统界面组件: 酷安@Mr_Bocchi(Ref)、EGLIFE(Ref)"
    sleep 0.05
    ui_print "- 堆叠层次代码: 酷安@TAT趙、酷安@Xposeded(Ref)"
    sleep 0.05
    ui_print "- 堆叠桌面合作: 酷安@Xiaobingbing、酷安@贝斯做不导6(Ref)"
    sleep 0.05
    ui_print "- 莫奈取色引用: 酷安@binbinzhishao、酷安@诺蓝、酷安@元気な枯れ木.＆JerryZhouYG(Ref)"
    sleep 0.05
    ui_print "- 锁屏通知下沉: 酷安@hrsthrt74(ref)"
    sleep 0.05
    ui_print "- 白条跟随应用: 酷安@hrsthrt74(ref)"
    sleep 0.05
    ui_print "- 聚合广告注入: 酷安@閃電Flashh(ref)、酷安@沃德天泥维森陌菈莫帅(ref)、酷安@MonetCarlos(monet、language switch)"
    sleep 0.05
    ui_print "=================================================="
    sleep 0.05
    ui_print "- 当前模块版本: V6.6"
    sleep 0.05
    ui_print "- 模块更新日期: 2024.06.16"
    sleep 0.05
    ui_print "- 模块依赖环境: China ROM｜HyperOS"
    sleep 0.05
    ui_print "- 系统桌面版本: RELEASE-4.39.14.8099-04261745"
    sleep 0.05
    ui_print "- 系统界面组件版本: V15.0.2.65.0"
    sleep 0.05
    ui_print "- 莫奈取色版本: V15.0（A14）"
    sleep 0.05
    ui_print "- 百变壁纸引擎: V4.0.0（ALPHA）"
    ui_print "=================================================="
    sleep 0.05
    ui_print "- 设备型号: $Model"
    sleep 0.05
    ui_print "- 设备厂商: $Manufacturer"
    sleep 0.05
    ui_print "- API级别: $API"
    sleep 0.05
    ui_print "- Android版本: $AndroidVersion"
    sleep 0.05
    ui_print "- OS版本: MIUI $HyperOS（HyperOS）"
    sleep 0.05
    ui_print "- Build版本: $Build"
    sleep 0.3
    ui_print "=================================================="
    sleep 0.05
    ui_print "* 请确保你的设备处于安卓14环境下的HyperOS系统并核心破解选项全开"
    ui_print "(部分设备需手动编译framework.jar和service.jar进行彻底核心破解)"
    ui_print "* 刷之前自备TWRP或自动救砖模块，出现卡第二屏，会自动禁用所有模块重启"
    ui_print "* 开机或者手动挂载系统分区rw权限，/data/adb/modules/路径下删除模块"
    ui_print "* 重启设备以恢复系统"
    ui_print "=================================================="
        echo -e "${RED}*如果不符合条件，请立即退出安装！！！."
        echo "❗点击音量上+退出安装"
        echo "❗点击音量下-继续安装"
        ui_print "=================================================="
        key_click=""
        while [ "$key_click" = "" ]; do
            key_click="$(getevent -qlc 1 | awk '{ print $3 }' | grep 'KEY_')"
            sleep 0.05
        done
        case "$key_click" in
            "KEY_VOLUMEUP")
                echo "❗*正在退出安装"
                exit 1
                ;;
            *)
                echo "❗*正在继续安装"
                ;;
        esac
}

#安装的具体操作，模块安装脚本自动调用
on_install() {
        ui_print "=================================================="
        ui_print "- 正在释放文件"
        ui_print "=================================================="
        clean_cache || abort "清理缓存出错"
        unzip -o "$ZIPFILE" 'system/*' -d $MODPATH >&2 || abort "解压挂载文件出错"
        unzip -o "$ZIPFILE" 'Rely/*' -d $MODPATH >&2 || abort "解压依赖文件出错"
#        unzip -o "$ZIPFILE" 'Rely/isKeyguardLocked.dex' -d $MODPATH >&2 || abort "解压 dex 文件出错"
#        unzip -o "$ZIPFILE" 'Rely/shizuku_starter' -d $MODPATH >&2 || abort "解压 shizuku_starter 出错"
        sleep 0.05
        install_bootanimation
}

# 自定义安装开机动画
install_bootanimation() {
        ui_print "=================================================="
        echo "❗点击音量上+取消安装开机动画"
        echo "❗点击音量下-安装开机动画"
        ui_print "=================================================="
        key_click=""
        while [ "$key_click" = "" ]; do
            key_click="$(getevent -qlc 1 | awk '{ print $3 }' | grep 'KEY_')"
            sleep 0.05
        done
        case "$key_click" in
            "KEY_VOLUMEUP")
                echo "❗*正在取消安装开机动画"
                rm -rf /$modules/$target_module/system/product/media/bootanimation.zip || abort "删除开机动画出错"
                rm -rf /$modules_update/$target_module/system/product/media/bootanimation.zip || abort "删除开机动画出错"
                ;;
            *)
                echo "❗*已安装开机动画"
                ui_print "=================================================="
                ;;
        esac
}

#安装前清缓存
clean_cache() {
    rm -rf /data/resource-cache/* || abort "删除资源缓存出错"
    rm -rf /data/system/package_cache/* || abort "删除系统包缓存出错"
    rm -rf /data/user/0/miui.systemui.plugin/* || abort "删除用户系统界面组件缓存出错"
    rm -rf /data/user_de/0/miui.systemui.plugin/* || abort "删除用户系统界面组件缓存出错"
    rm -rf /data/app/*/miui.systemui.plugin* || abort "删除系统界面组件缓存出错"
    rm -rf /data/app/miui.systemui.plugin* || abort "删除系统界面组件缓存出错"
}

#设置权限，模块脚本自动调用
set_permissions() {
    set_perm_recursive $MODPATH 0 0 0755 0644 || true
    set_perm_recursive $MODPATH/Rely/shizuku_starter 0 0 0755 0700 || true
}
